Loading...
Searching...
No Matches
juce::midi_ci::ResponderOutput Class Referenceabstract

## Detailed Description

A buffer output that additionally provides information about an incoming message, so that an appropriate reply can be constructed for that message.

The documentation for this class was generated from the following file:

- juce_midi_ci/ci/juce_CIResponderOutput.h

Inheritance diagram for juce::midi_ci::ResponderOutput:

## Public Member Functions

virtual Message::Header | getIncomingHeader () const =0
| Returns the header of the message that was received.
virtual uint8_t | getIncomingGroup () const =0
| Returns the group of the message that was received.
ChannelAddress | getChannelAddress () const
| Returns the channel to which the incoming message was addressed.
Message::Header | getReplyHeader (std::byte replySubID) const
| Returns a default header that can be used for outgoing replies.
Public Member Functions inherited from juce::midi_ci::BufferOutput
| BufferOutput ()=default
virtual | ~BufferOutput ()=default
virtual MUID | getMuid () const =0
| Returns the MUID of the responder.
virtual std::vector< std::byte > & | getOutputBuffer ()=0
| Returns the buffer into which replies should be written.
virtual void | send (uint8_t group)=0
| Sends the current contents of the buffer to the provided group.

## Member Functions

## getIncomingHeader()

virtual Message::Header juce::midi_ci::ResponderOutput::getIncomingHeader | ( |  | ) | const

pure virtual

Returns the header of the message that was received.

## getIncomingGroup()

virtual uint8_t juce::midi_ci::ResponderOutput::getIncomingGroup | ( |  | ) | const

pure virtual

Returns the group of the message that was received.

## getChannelAddress()

ChannelAddress juce::midi_ci::ResponderOutput::getChannelAddress | ( |  | ) | const

Returns the channel to which the incoming message was addressed.

## getReplyHeader()

Message::Header juce::midi_ci::ResponderOutput::getReplyHeader | ( | std::byte | replySubID | ) | const

Returns a default header that can be used for outgoing replies.

This always sets the destination MUID equal to the source MUID of the incoming header, so it's not suitable for broadcast messages.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited